#   2log.io
#   Copyright (C) 2021 - 2log.io | mail@2log.io,  mail@friedemann-metzger.de
#
#   This program is free software: you can redistribute it and/or modify
#   it under the terms of the GNU Affero General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU Affero General Public License for more details.
#
#   You should have received a copy of the GNU Affero General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.


TARGET = 2log-servicehelper

QT      += network websockets
DEFINES += TWOLOGMACHINECONTROLLING_LIBRARY

include(../buildconfig.pri)

CONFIG += c++14

DISTFILES += \
    src/2logServiceHelperPlugin.json

HEADERS += \
    src/2logServiceHelperPlugin.h \
    src/2logmachinecontrolling_global.h \
    src/ServiceHelperListResource.h \
    src/ServiceHelperListResourceFactory.h \
    src/ServiceHelperLogic.h \
    src/ServiceHelperService.h

SOURCES += \
    src/2logServiceHelperPlugin.cpp \
    src/ServiceHelperListResource.cpp \
    src/ServiceHelperListResourceFactory.cpp \
    src/ServiceHelperLogic.cpp \
    src/ServiceHelperService.cpp
